<?php

namespace CustomerManagement\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LookupCustomerIdFromDealerCustomerId StructType
 * @subpackage Structs
 */
class LookupCustomerIdFromDealerCustomerId extends AbstractStructBase
{
    /**
     * The dealerCustomerId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $dealerCustomerId;
    /**
     * Constructor method for LookupCustomerIdFromDealerCustomerId
     * @uses LookupCustomerIdFromDealerCustomerId::setDealerCustomerId()
     * @param string $dealerCustomerId
     */
    public function __construct($dealerCustomerId = null)
    {
        $this
            ->setDealerCustomerId($dealerCustomerId);
    }
    /**
     * Get dealerCustomerId value
     * @return string|null
     */
    public function getDealerCustomerId()
    {
        return $this->dealerCustomerId;
    }
    /**
     * Set dealerCustomerId value
     * @param string $dealerCustomerId
     * @return \CustomerManagement\StructType\LookupCustomerIdFromDealerCustomerId
     */
    public function setDealerCustomerId($dealerCustomerId = null)
    {
        // validation for constraint: string
        if (!is_null($dealerCustomerId) && !is_string($dealerCustomerId)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dealerCustomerId, true), gettype($dealerCustomerId)), __LINE__);
        }
        $this->dealerCustomerId = $dealerCustomerId;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \CustomerManagement\StructType\LookupCustomerIdFromDealerCustomerId
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
